Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Interface FileItemFactory

All Known Implementing Classes:
  DiskFileItemFactory

    public interface FileItemFactory

A factory interface for creating `FileItem` instances. Factories can provide their own custom configuration, over and above that provided by the default file upload implementation.

Version:
  $Id: FileItemFactory.java 881493 2009-11-17 20:30:39Z markt $
Author:
  Martin Cooper

Method Summary
`FileItem` | `createItem(String fieldName, String contentType, boolean isFormField, String fileName)` Create a new `FileItem` instance from the supplied parameters and any local factory configuration.

Method Detail

### createItem

    FileItem createItem(String fieldName,
                        String contentType,
                        boolean isFormField,
                        String fileName)

  Create a new `FileItem` instance from the supplied parameters and any local factory configuration.

  Parameters:
    `fieldName` - The name of the form field.
    `contentType` - The content type of the form field.
    `isFormField` - `true` if this is a plain form field; `false` otherwise.
    `fileName` - The name of the uploaded file, if any, as supplied by the browser or other client.
  Returns:
    The newly created file item.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.